using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using Telerik.Web.UI;


public partial class _Default : System.Web.UI.Page
{
    
    protected void RadGrid1_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        Random rand = new Random();
        List<TestItem> dataSource = new List<TestItem>();
        for (int i = 0; i < 10; i++)
        {
            dataSource.Add(new TestItem()
            {
                FieldOne = rand.Next()%100,
                FieldTwo = rand.Next() % 100
            });
        }
        RadGrid1.DataSource = dataSource;
    }
}

public class TestItem
{
    public int FieldOne { get; set; }
    public int FieldTwo{get;set;}
}


 

